org.apache.commons.collections4.functors

## Class AbstractQuantifierPredicate<T>

- java.lang.Object
- - org.apache.commons.collections4.functors.AbstractQuantifierPredicate<T>

- All Implemented Interfaces:
    Serializable, PredicateDecorator<T>, Predicate<T>
  Direct Known Subclasses:
    AllPredicate, AnyPredicate, NonePredicate, OnePredicate

      public abstract class AbstractQuantifierPredicate<T>
      extends Object
      implements PredicateDecorator<T>, Serializable

  Abstract base class for quantification predicates, e.g. All, Any, None.
  Since:
    4.0
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Predicate<? super T>[]` | `iPredicates` The array of predicates to call

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractQuantifierPredicate(Predicate<? super T>... predicates)` Constructor that performs no validation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Predicate<? super T>[]` | `getPredicates()` Gets the predicates.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.collections4.Predicate

      `evaluate`

- - ### Field Detail

    - #### iPredicates

          protected final Predicate<? super T>[] iPredicates

      The array of predicates to call

  - ### Constructor Detail

    - #### AbstractQuantifierPredicate

          public AbstractQuantifierPredicate(Predicate<? super T>... predicates)

      Constructor that performs no validation.
      Parameters:
        `predicates` - the predicates to check, not cloned, not null

  - ### Method Detail

    - #### getPredicates

          public Predicate<? super T>[] getPredicates()

      Gets the predicates.
      Specified by:
        `getPredicates` in interface `PredicateDecorator<T>`
      Returns:
        a copy of the predicates
      Since:
        3.1

Copyright © 2001–2019 The Apache Software Foundation. All rights reserved.